Bug 1123363 - Error message is not helpful to user's debug when no node to deploy new head gear.
Summary: Error message is not helpful to user's debug when no node to deploy new head ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 12:37 UTC by Johnny Liu
Modified: 2017-01-13 22:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 22:17:51 UTC


Attachments (Terms of Use)

Description Johnny Liu 2014-07-25 12:37:49 UTC
Description of problem:


Version-Release number of selected component (if applicable):
puddle-2-1-2014-07-23

How reproducible:
Always

Steps to Reproduce:
1.Set up env, 1 broker + 2 nodes, and make sure ALLOW_MULTIPLE_HAPROXY_ON_NODE="false" in broker.conf
2.Create a scaling app
3.Sent make-ha rest api to this app, now every node has a head gear.
4.set-multiplier for this app
# oo-admin-ctl-app -l jialiu -a scaphp53app -c set-multiplier --cartridge haproxy-1.4 --multiplier 1
5.Scale up this app.
$ rhc cartridge-scale php-5.3 --min 3 -a scaphp53app

Actual results:
$ rhc cartridge-scale php-5.3 --min 3 -a scaphp53app
This operation will run until the application is at the minimum scale and may take several minutes.
Setting scale range for php-5.3 ... 
Unable to complete the requested operation due to: No nodes available. Please try again and contact support if the issue persists. 
Reference ID: 2e6508ca5f28d503d6d24c4d6bbb4d55

The error message is saying "No nodes available", this error message will confuse user. If user is not familiar with multiplier and node select mechanism, that would bring trouble for debugging.


Expected results:
Similar error message should throw out.
Due to ALLOW_MULTIPLE_HAPROXY_ON_NODE="false", there is no available not to deploy a new haproxy gear.

Additional info:
When I add one more new node to this district, step 5 is pass, a new haproxy gear is created.

Comment 1 Rory Thrasher 2017-01-13 22:17:51 UTC
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/


Note You need to log in before you can comment on or make changes to this bug.